Loading...
Searching...
No Matches
deep.hpp File Reference

Provides seqan3::views::deep. More...

`#include <ranges>`
`#include <seqan3/core/range/detail/adaptor_base.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
Include dependency graph for deep.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::views::deep< underlying_adaptor_t >
| A wrapper type around an existing view adaptor that enables "deep view" behaviour for that view. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Detailed Description

Provides seqan3::views::deep.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>

Hide me